colossalai.gemini
=================

.. automodule:: colossalai.gemini
   :members:

.. toctree::
   :maxdepth: 2

   colossalai.gemini.memory_tracer
   colossalai.gemini.ophooks
   colossalai.gemini.paramhooks


.. toctree::
   :maxdepth: 2

   colossalai.gemini.chunk
   colossalai.gemini.chunk_mgr
   colossalai.gemini.gemini_context
   colossalai.gemini.gemini_mgr
   colossalai.gemini.placement_policy
   colossalai.gemini.stateful_tensor
   colossalai.gemini.stateful_tensor_container
   colossalai.gemini.stateful_tensor_mgr
   colossalai.gemini.tensor_placement_policy
   colossalai.gemini.tensor_utils
